您现在的位置是:主页 > 数据库技术 > 数据库技术

无法打开”‘SqlPersistenceService’的版本为655的数据库该怎么办

IDCBT2021-12-15服务器技术人已围观

简介今天就跟大家聊聊有关无法打开”‘SqlPersistenceService’的版本为655的数据库该怎么办,可能很多人都不太了解,为了让大家更加了解,小编给大家总结了以下内容,希望大家根据这篇文

今天就跟大家聊聊有关无法打开”‘SqlPersistenceService’的版本为655的数据库该怎么办,可能很多人都不太了解,为了让大家更加了解,小编给大家总结了以下内容,希望大家根据这篇文章可以有所收获。

"'SqlPersistenceService'的版本为655,无法打开。此服务器支持611版及更低版"的问题
 
附加数据库 遇到如下问题:
 
数据库 'SqlPersistenceService' 的版本为 655,无法打开。此服务器支持 611 版及更低版本。

不支持降级路径。 无法打开新数据库 'SqlPersistenceService'。CREATE DATABASE 中止。 
 
原因:    
 
版本655指的是SQL2008, 版本611指的是SQL2005, (还有一个版本539指的是SQL2000)
楼主的情况属于典型的从高版本降低至低版本使用的情景.
按微软的官方说法, 是不支持从高版本附加到低版本的.
如果一定要这么做, 那怎么办呢? 有办法.
首先, 找一台装有SQL Server 2008的电脑, 将你的数据库文件附加到这台电脑里.
附加成功后, 在SSMS的对象资源管理器窗口右键单击刚刚附加的数据库,依次选"任务>生成脚本...", 此时会弹出脚本向导对话框.
点"下一步".
在"选择数据库"对话框选中刚刚附加的数据库, 同时将底部的"为所选数据库中的所有对象编写脚本"打勾. 点下一步.
 
在"选择脚本选项"对话框中,还需要修改以下几个选项:
1)."编写数据的脚本",设为"True"; (SQL2005没有这个选项,所以才要找一台装有SQL2008的电脑嘛,多省事啊,省去了数据导入导出的麻烦)
2)."编写触发器脚本",设为"True";
3)."编写创建数据库的脚本",设为"True";
4)."为服务器版本编写脚本",选"SQL Server 2005";(如果是要用的SQL2000中,那就选SQL Server 2000)    
以上4个选项是非常建议这样设置的,其他的选项就自己看着办,其他的一般也不用改. 点下一步.
在"输出选项"对话框中,选"将脚本保存到文件",其他默认,点下一步.
点完成.
点关闭.
 
然后将刚刚生成的脚本文件拷到你自己的电脑上,在SQL Server 2005中打开并执行该脚本.!!!注意:在执行该脚本前,如有必要,请务必修改该脚本中指定的mdf文件和ldf文件的物理路径,以符合你自己的要求.

看完上述内容,你们对无法打开”‘SqlPersistenceService’的版本为655的数据库该怎么办有进一步的了解吗?如果还想了解更多知识或者相关内容,请关注IDCBT数据库频道,感谢大家的支持。

标签:

很赞哦! ()

本栏推荐